# Release Notes

## v0.2.0
- Support for Debian 10 and vendored fmt
- Docker buildx for publish to github registry

## v0.1.5
- Updates for packaging
- Added bayonnectl server interface
- Added Dockerfile to produce bordeaux containers

## v0.1.4
- service init introduced
- standardized logging

## v0.1.3
- Target focus posix only
- Simplified linting
- Introduced ipc control manager

## v0.1.2
- Use release for osip_free
- Improve linting
- Introduce format support
- Fixed argument options list
- Improved portability by dropping c++17 filesystem support

## v0.1.1
- Added utility functions to verify input correctness
- Added clang tidy policies
- Introduced libfmt
- Updated docgen support

## v0.1.0
- Added docgen target
- Added sip-hash and sip-ping commands
- Added vendored eXosip2 build
- Added Dialing plans in sipwitch driver
- Added manpages for bordeaux server and config file
- Support sip route config and static routing resolution
- Support sip credentials in sipcraft and generic drivers
- Support sip registration and de-registration
